import 'server-only';
import React from 'react';
import { DevCycleUser } from '@devcycle/js-client-sdk';
import { DevCycleNextOptions } from './initialize';
export type DevCycleServersideProviderProps = {
    sdkKey: string;
    user: Omit<DevCycleUser, 'user_id' | 'isAnonymous'> & {
        user_id: string;
    };
    invalidateConfig: (sdkKey: string, time?: number) => Promise<void>;
    options?: DevCycleNextOptions;
    children: React.ReactNode;
};
export declare const DevCycleServersideProvider: ({ children, sdkKey, user, invalidateConfig, options, }: DevCycleServersideProviderProps) => Promise<React.ReactElement>;
