import { getClient, getInitializedPromise } from './requestContext';
export async function getVariableValue(key, defaultValue) {
    const initializedPromise = getInitializedPromise();
    await initializedPromise;
    const client = getClient();
    if (!client) {
        console.error('getVariableValue can only be called within a DevCycleServersideProvider');
        return defaultValue;
    }
    const variable = client.variable(key, defaultValue);
    return variable.value;
}
//# sourceMappingURL=getVariableValue.js.map